# Class PanelsModel

Manage the panels of the DesktopCanvas.

Example of usage:

       (window as any).gmfapi.store.panels.openToolPanel('name');
       (window as any).gmfapi.store.panels.openFooterPanel('name');
       (window as any).gmfapi.store.panels.closeToolPanel();
       (window as any).gmfapi.store.panels.closeFooterPanel();

- Defined in srcapi/store/panels.ts:53

#####
Index

### Constructors

constructor

### Methods

closeFooterPanel
closeToolPanel
getActiveFooterPanel
getActiveToolPanel
getFilterActive
openFooterPanel
openToolPanel
setFilterActive

## Constructors

### constructor

- new PanelsModel(): PanelsModel

- #### Returns PanelsModel

## Methods

### closeFooterPanel

- closeFooterPanel(): void

- Close the footer panel.

  #### Returns void

  - Defined in srcapi/store/panels.ts:180

### closeToolPanel

- closeToolPanel(): void

- Close the tool panel.

  #### Returns void

  - Defined in srcapi/store/panels.ts:171

### getActiveFooterPanel

- getActiveFooterPanel(): BehaviorSubject<string>

- #### Returns BehaviorSubject<string>

  the behavior about the active panel in the footer.

  - Defined in srcapi/store/panels.ts:106

### getActiveToolPanel

- getActiveToolPanel(): BehaviorSubject<string>

- #### Returns BehaviorSubject<string>

  the behavior about the active panel in the tool.

  - Defined in srcapi/store/panels.ts:99

### getFilterActive

- getFilterActive(): BehaviorSubject<boolean>

- Experimental.

  #### Returns BehaviorSubject<boolean>

  the behavior about the active filter.

  - Defined in srcapi/store/panels.ts:115

### openFooterPanel

- openFooterPanel(panel, options?): void

- Open a panel, or close if already open

  #### Parameters

  - panel: string

    the panel

  - `Optional` options: OpenPanelOptions

    the options

  #### Returns void

  - Defined in srcapi/store/panels.ts:151

### openToolPanel

- openToolPanel(panel, options?): void

- Open a panel, or close if already open

  #### Parameters

  - panel: string

    the panel

  - `Optional` options: OpenPanelOptions

    the options

  #### Returns void

  - Defined in srcapi/store/panels.ts:125

### setFilterActive

- setFilterActive(active): void

- Set if there is some active filter.

  Experimental.

  #### Parameters

  - active: boolean

    is active.

  #### Returns void

  - Defined in srcapi/store/panels.ts:193